%define base_name	kdemoreartwork
%define theme_name	thinkeramik
%define name		%{base_name}-%{theme_name}
%define version		2.8
%define release		1mdk
%define summary		Thinkeramik kstyle and kwin theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/usermanager/search.php?username=amaterasu
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		libpng-devel , libjpeg62-devel
BuildRequires:		libqt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
This style is modified from keramik as follows:
 
 -Flat Menubar and Toolbar.
 -Scrollbar-slider color.(= Window-InactiveBackground)
 -Thin push-buttons and scrollbar.
 -Selected menu-Item effect.
 -Active menubar-Item effect.
 -Pixmaps of tabs.
 -Active tab effect.
 -Striped menu.
 -Smooth kicker.
 -Menu background image.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
install -d $RPM_BUILD_ROOT%{_menudir}
%makeinstall_std
kdedesktop2mdkmenu.pl %{name} Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk/Settings/LookNFeel/%{theme_name}.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_libdir}/libkcm_%{theme_name}.*
%{_libdir}/kde3/kwin_thinkmk*
%{_libdir}/kde3/plugins/styles/%{theme_name}.*
%{_datadir}/applications/%{theme_name}.desktop
%{_datadir}/applnk/Settings/LookNFeel/%{theme_name}.desktop
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc
%{_datadir}/apps/kdisplay/color-schemes/%{theme_name}*
%{_datadir}/apps/kwin/thinkmk.desktop
%{_menudir}/


%changelog
* Mon Sep 01 2003 Laurent culioli <laurent@pschit.net> 2.8-1mdk
- new version

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 2.7.3-1mdk
- initial release

